Subject: (No Subject)

From: Mattias Märka <[email-masked]>
Date: Mon, 24 Aug 2020 01:43:25 +0000

Hi,

> In asm-mode calling fill-paragraph on a comment produces weird results. Tested with emacs 24.5, 25.3, 26.1, 26.2, 26.3 and  27.0.90.

I'm also experiencing this issue with 27.1.

> asm-mode defines fill-prefix as a tab. Setting fill-prefix to nil seems to fix the issue.

I looked into this and came to the same conclusion. In fact, I don't
think fill-prefix needs to be set at all since it's already set in
simple.el. So I would remove it altogether.

The line in question

    (setq fill-prefix "\t")

seems to be added in 1991. I suspect that it worked then, but doesn't
anymore because fill-paragraph has been changed somehow.

At any rate, I've included a patch with the fix and an ert test.

Best regards,
Mattias Märka